Agent Insight Monitors
Get an Agent Insights run
GET
/agent_insight_monitors/{monitor_id}/runs/{run_id}Path ParametersQuery ParametersHeader Parameters
monitor_idstringrequired
The identifier of the monitor.run_idstringrequired
The identifier of the run.api-versionstringrequired
The API version to use for this operation.Foundry-Featuresstringrequired
A feature flag opt-in required when using preview operations or modifying persisted preview resources.AgentInsights=V1Preview
Responses
idstringrequired
Server-assigned unique identifier.inputsAgentInsightRunCreate
Inputs used when creating an agent insight run.lookback_hoursnumber
Optional finite positive number of hours of trace history to analyze, up to 2,160. Defaults to 168.resultAgentInsightRunResult
Result statistics produced when an agent insight run succeeds.traces_in_windowintegerrequired
The number of traces in the analyzed time window.traces_analyzedintegerrequired
The number of traces analyzed by the run.insights_createdintegerrequired
The number of insights created by the run.insights_updatedintegerrequired
The number of insights updated by the run.insights_reopenedintegerrequired
The number of insights reopened by the run.token_usageAgentInsightTokenUsagerequired
Token usage for an Agent Insights run.statusenumrequired
Extensible status values shared by Foundry jobs.queuedin_progresssucceededfailedcancelled
errorOpenAI.Error
codestring | nullrequired
messagestringrequired
paramstring | null
typestring
misalignmentOpenAI.MisalignmentErrorDetailsResource
detailsOpenAI.Error[]
additionalInfoobject
debugInfoobject
monitor_idstringrequired
The Agent Insights monitor this run belongs to.agent_namestringrequired
The agent whose traces are analyzed by this run.triggerenumrequired
The trigger that started an agent insight run.on_demandscheduled
created_atintegerrequired
updated_atintegerrequired
window_startintegerrequired
window_endintegerrequired
started_atinteger
completed_atinteger
model_deployment_namestringrequired
The model deployment used to analyze traces for this run.